Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ET_FilterHandler

    java.lang.Object
      com.sun.javatest.exec.ET_FilterHandler

All Implemented Interfaces:
  ET_Control, ET_FilterControl, HarnessAware, Session.Observer

    public class ET_FilterHandler

extends java.lang.Object
implements ET_FilterControl, Session.Observer

This class handles all the special filter juggling that exec tool needs to do.

Field Summary
`protected java.util.Vector` | `allFilters`

Constructor Summary
`protected` | `ET_FilterHandler(javax.swing.JComponent parent, ExecModel model, UIFactory uif)`

Method Summary
`void` | `dispose()`
`FilterConfig` | `getFilterConfig()`
`javax.swing.JMenu` | `getFilterMenu()`
`javax.swing.JMenu` | `getMenu()` Returts menu to be added to the menu mar
`java.util.List<javax.swing.Action>` | `getToolBarActionList()` Returns list of actions to be added to the tool bar
`protected java.util.List<TestFilter>` | `getUsersFilters()` Subclasses may override this method to insert filters like TemplateFilter
`void` | `restore(java.util.Map m)` Restores saved state from the map
`void` | `save(java.util.Map m)` Save internal state.
`void` | `setHarness(Harness h)`
`void` | `updated(Session.Event ev)` Invoked when state of config has changed
`protected void` | `updateFilters()`
`void` | `updateGUI()` Invoked when some change has happened

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allFilters

    protected java.util.Vector allFilters

Constructor Detail

### ET_FilterHandler

    protected ET_FilterHandler(javax.swing.JComponent parent,
                               ExecModel model,
                               UIFactory uif)

Method Detail

### setHarness

    public void setHarness(Harness h)

  Specified by:
    `setHarness` in interface `HarnessAware`

### getUsersFilters

    protected java.util.List<TestFilter> getUsersFilters()

  Subclasses may override this method to insert filters like TemplateFilter

  Returns:
    list of filters defined for the User's TestSuite, or null

### getFilterMenu

    public javax.swing.JMenu getFilterMenu()

  Specified by:
    `getFilterMenu` in interface `ET_FilterControl`
  Returns:
    a menu of available filters

### updateFilters

    protected void updateFilters()

### getMenu

    public javax.swing.JMenu getMenu()

  Description copied from interface: `ET_Control`
  Returts menu to be added to the menu mar

  Specified by:
    `getMenu` in interface `ET_Control`

### getFilterConfig

    public FilterConfig getFilterConfig()

### save

    public void save(java.util.Map m)

  Save internal state.

  Specified by:
    `save` in interface `ET_Control`

### restore

    public void restore(java.util.Map m)

  Description copied from interface: `ET_Control`
  Restores saved state from the map

  Specified by:
    `restore` in interface `ET_Control`

### updateGUI

    public void updateGUI()

  Description copied from interface: `ET_Control`
  Invoked when some change has happened

  Specified by:
    `updateGUI` in interface `ET_Control`

### getToolBarActionList

    public java.util.List<javax.swing.Action> getToolBarActionList()

  Description copied from interface: `ET_Control`
  Returns list of actions to be added to the tool bar

  Specified by:
    `getToolBarActionList` in interface `ET_Control`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ET_Control`

### updated

    public void updated(Session.Event ev)

  Description copied from interface: `Session.Observer`
  Invoked when state of config has changed

  Specified by:
    `updated` in interface `Session.Observer`
  Parameters:
    `ev` - - Event describing the change

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.